Index: protocols/twitter/twitter.c
===================================================================
--- protocols/twitter/twitter.c	(revision 0ca1d79cff9e6a9fb9fa4796814c9e77a9cfcc19)
+++ protocols/twitter/twitter.c	(revision 5ff46180e5378acd6d103d9314175c78530bda7e)
@@ -91,5 +91,5 @@
 	struct twitter_data *td = c->ic->proto_data;
 	struct twitter_filter *tf = NULL;
-	struct twitter_filter tfc = {type, (char*) text};
+	struct twitter_filter tfc = { type, (char *) text };
 	GSList *l;
 
@@ -97,6 +97,7 @@
 		tf = l->data;
 
-		if (twitter_filter_cmp(tf, &tfc) == 0)
+		if (twitter_filter_cmp(tf, &tfc) == 0) {
 			break;
+		}
 
 		tf = NULL;
@@ -110,13 +111,15 @@
 	}
 
-	if (!g_slist_find(tf->groupchats, c))
+	if (!g_slist_find(tf->groupchats, c)) {
 		tf->groupchats = g_slist_prepend(tf->groupchats, c);
-
-	if (td->filter_update_id > 0)
+	}
+
+	if (td->filter_update_id > 0) {
 		b_event_remove(td->filter_update_id);
+	}
 
 	/* Wait for other possible filter changes to avoid request spam */
 	td->filter_update_id = b_timeout_add(TWITTER_FILTER_UPDATE_WAIT,
-					     twitter_filter_update, c->ic);
+	                                     twitter_filter_update, c->ic);
 	return tf;
 }
@@ -149,10 +152,12 @@
 	}
 
-	if (td->filter_update_id > 0)
+	if (td->filter_update_id > 0) {
 		b_event_remove(td->filter_update_id);
+	}
 
 	/* Wait for other possible filter changes to avoid request spam */
 	td->filter_update_id = b_timeout_add(TWITTER_FILTER_UPDATE_WAIT,
-					     twitter_filter_update, c->ic);}
+	                                     twitter_filter_update, c->ic);
+}
 
 static void twitter_filter_remove_all(struct im_connection *ic)
@@ -169,6 +174,7 @@
 		/* Build up a list of groupchats to be freed */
 		for (p = tf->groupchats; p; p = g_slist_next(p)) {
-			if (!g_slist_find(chats, p->data))
+			if (!g_slist_find(chats, p->data)) {
 				chats = g_slist_prepend(chats, p->data);
+			}
 		}
 
@@ -217,6 +223,7 @@
 
 	for (f = fs; *f; f++) {
-		if ((v = strchr(*f, ':')) == NULL)
+		if ((v = strchr(*f, ':')) == NULL) {
 			continue;
+		}
 
 		*(v++) = 0;
@@ -229,6 +236,7 @@
 		}
 
-		if (t < 0 || strlen(v) == 0)
+		if (t < 0 || strlen(v) == 0) {
 			continue;
+		}
 
 		tf = twitter_filter_get(c, types[t], v);
@@ -248,6 +256,7 @@
 
 	// Check if we are still logged in...
-	if (!g_slist_find(twitter_connections, ic))
+	if (!g_slist_find(twitter_connections, ic)) {
 		return FALSE;
+	}
 
 	// Do stuff..
@@ -261,10 +270,13 @@
 
 	char *last_tweet = set_getstr(&ic->acc->set, "_last_tweet");
-	if (last_tweet)
+
+	if (last_tweet) {
 		td->timeline_id = g_ascii_strtoull(last_tweet, NULL, 0);
+	}
 
 	/* Create the room now that we "logged in". */
-	if (td->flags & TWITTER_MODE_CHAT)
+	if (td->flags & TWITTER_MODE_CHAT) {
 		twitter_groupchat_init(ic);
+	}
 
 	imcb_log(ic, "Getting initial statuses");
@@ -273,10 +285,10 @@
 	// stream if available).
 	twitter_main_loop(ic, -1, 0);
-	
+
 	if (set_getbool(&ic->acc->set, "stream")) {
 		/* That fetch was just to get backlog, the stream will give
 		   us the rest. \o/ */
 		twitter_open_stream(ic);
-		
+
 		/* Stream sends keepalives (empty lines) or actual data at
 		   least twice a minute. Disconnect if this stops. */
@@ -286,6 +298,6 @@
 		   fashioned way. :-( */
 		td->main_loop_id =
-		    b_timeout_add(set_getint(&ic->acc->set, "fetch_interval") * 1000,
-		                  twitter_main_loop, ic);
+		        b_timeout_add(set_getint(&ic->acc->set, "fetch_interval") * 1000,
+		                      twitter_main_loop, ic);
 	}
 }
@@ -298,6 +310,7 @@
 	GSList *l;
 
-	if (td->timeline_gc)
+	if (td->timeline_gc) {
 		return td->timeline_gc;
+	}
 
 	td->timeline_gc = gc = imcb_chat_new(ic, "twitter/timeline");
@@ -309,9 +322,10 @@
 	for (l = ic->bee->users; l; l = l->next) {
 		bee_user_t *bu = l->data;
-		if (bu->ic == ic)
+		if (bu->ic == ic) {
 			imcb_chat_add_buddy(gc, bu->handle);
+		}
 	}
 	imcb_chat_add_buddy(gc, ic->acc->user);
-	
+
 	return gc;
 }
@@ -325,12 +339,13 @@
 	td->flags &= ~TWITTER_DOING_TIMELINE;
 
-	if (set_getbool(&ic->acc->set, "oauth") && !td->oauth_info)
+	if (set_getbool(&ic->acc->set, "oauth") && !td->oauth_info) {
 		twitter_oauth_start(ic);
-	else if (!(td->flags & TWITTER_MODE_ONE) &&
-	         !(td->flags & TWITTER_HAVE_FRIENDS)) {
+	} else if (!(td->flags & TWITTER_MODE_ONE) &&
+	           !(td->flags & TWITTER_HAVE_FRIENDS)) {
 		imcb_log(ic, "Getting contact list");
 		twitter_get_friends_ids(ic, -1);
-	} else
+	} else {
 		twitter_main_loop_start(ic);
+	}
 }
 
@@ -357,8 +372,9 @@
 	struct twitter_data *td = ic->proto_data;
 
-	if (strstr(td->url_host, "identi.ca"))
+	if (strstr(td->url_host, "identi.ca")) {
 		return &identica_oauth;
-	else
+	} else {
 		return &twitter_oauth;
+	}
 
 	/* Could add more services, or allow configuring your own base URL +
@@ -372,8 +388,9 @@
 
 	imcb_log(ic, "Requesting OAuth request token");
-	
-	if (!strstr(url, "twitter.com") && !strstr(url, "identi.ca"))
+
+	if (!strstr(url, "twitter.com") && !strstr(url, "identi.ca")) {
 		imcb_log(ic, "Warning: OAuth only works with identi.ca and "
-		             "Twitter.");
+		         "Twitter.");
+	}
 
 	td->oauth_info = oauth_request_token(get_oauth_service(ic), twitter_oauth_callback, ic);
@@ -389,6 +406,7 @@
 	struct twitter_data *td;
 
-	if (!g_slist_find(twitter_connections, ic))
+	if (!g_slist_find(twitter_connections, ic)) {
 		return FALSE;
+	}
 
 	td = ic->proto_data;
@@ -404,6 +422,6 @@
 		name = g_strdup_printf("%s_%s", td->prefix, ic->acc->user);
 		msg = g_strdup_printf("To finish OAuth authentication, please visit "
-				      "%s and respond with the resulting PIN code.",
-				      info->auth_url);
+		                      "%s and respond with the resulting PIN code.",
+		                      info->auth_url);
 		imcb_buddy_msg(ic, name, msg, 0, 0);
 		g_free(name);
@@ -411,5 +429,5 @@
 	} else if (info->stage == OAUTH_ACCESS_TOKEN) {
 		const char *sn;
-		
+
 		if (info->token == NULL || info->token_secret == NULL) {
 			imcb_error(ic, "OAuth error: %s", twitter_parse_error(info->http));
@@ -417,9 +435,10 @@
 			return FALSE;
 		}
-		
+
 		if ((sn = oauth_params_get(&info->params, "screen_name"))) {
-			if (ic->acc->prpl->handle_cmp(sn, ic->acc->user) != 0)
+			if (ic->acc->prpl->handle_cmp(sn, ic->acc->user) != 0) {
 				imcb_log(ic, "Warning: You logged in via OAuth as %s "
 				         "instead of %s.", sn, ic->acc->user);
+			}
 			g_free(td->user);
 			td->user = g_strdup(sn);
@@ -444,7 +463,8 @@
 	GMatchInfo *match_info;
 
-	if (regex == NULL)
+	if (regex == NULL) {
 		regex = g_regex_new("(^|\\s)(http(s)?://[^\\s$]+)", 0, 0, NULL);
-	
+	}
+
 	g_regex_match(regex, msg, 0, &match_info);
 	while (g_match_info_matches(match_info)) {
@@ -452,6 +472,7 @@
 		url_len_diff += target_len - g_utf8_strlen(url, -1);
 		/* Add another character for https://t.co/... URLs */
-		if (g_match_info_fetch(match_info, 3) != NULL)
+		if (g_match_info_fetch(match_info, 3) != NULL) {
 			url_len_diff += 1;
+		}
 		g_free(url);
 		g_match_info_next(match_info, NULL);
@@ -468,9 +489,11 @@
 	int url_len_diff = 0;
 
-	if (target_len > 0)
+	if (target_len > 0) {
 		url_len_diff = twitter_url_len_diff(msg, target_len);
-
-	if (max == 0 || (len = g_utf8_strlen(msg, -1) + url_len_diff) <= max)
+	}
+
+	if (max == 0 || (len = g_utf8_strlen(msg, -1) + url_len_diff) <= max) {
 		return TRUE;
+	}
 
 	twitter_log(ic, "Maximum message length exceeded: %d > %d", len, max);
@@ -481,8 +504,9 @@
 static char *set_eval_commands(set_t * set, char *value)
 {
-	if (g_strcasecmp(value, "strict") == 0 )
+	if (g_strcasecmp(value, "strict") == 0) {
 		return value;
-	else
+	} else {
 		return set_eval_bool(set, value);
+	}
 }
 
@@ -490,8 +514,9 @@
 {
 	if (g_strcasecmp(value, "one") == 0 ||
-	    g_strcasecmp(value, "many") == 0 || g_strcasecmp(value, "chat") == 0)
+	    g_strcasecmp(value, "many") == 0 || g_strcasecmp(value, "chat") == 0) {
 		return value;
-	else
+	} else {
 		return NULL;
+	}
 }
 
@@ -507,5 +532,5 @@
 		def_tul = "22";
 		def_mentions = "true";
-	} else {		/* if( strcmp( acc->prpl->name, "identica" ) == 0 ) */
+	} else {                /* if( strcmp( acc->prpl->name, "identica" ) == 0 ) */
 		def_url = IDENTICA_API_URL;
 		def_tul = "0";
@@ -539,5 +564,5 @@
 
 	s = set_add(&acc->set, "strip_newlines", "false", set_eval_bool, acc);
-	
+
 	s = set_add(&acc->set, "_last_tweet", "0", NULL, acc);
 	s->flags |= SET_HIDDEN | SET_NOSAVE;
@@ -560,5 +585,5 @@
 	url_t url;
 	char *s;
-	
+
 	if (!url_set(&url, set_getstr(&ic->acc->set, "base_url")) ||
 	    (url.proto != PROTO_HTTP && url.proto != PROTO_HTTPS)) {
@@ -571,5 +596,5 @@
 	    set_getbool(&ic->acc->set, "stream")) {
 		imcb_error(ic, "Warning: The streaming API is only supported by Twitter, "
-		               "and you seem to be connecting to a different service.");
+		           "and you seem to be connecting to a different service.");
 	}
 
@@ -584,19 +609,21 @@
 	td->url_port = url.port;
 	td->url_host = g_strdup(url.host);
-	if (strcmp(url.file, "/") != 0)
+	if (strcmp(url.file, "/") != 0) {
 		td->url_path = g_strdup(url.file);
-	else {
+	} else {
 		td->url_path = g_strdup("");
-		if (g_str_has_suffix(url.host, "twitter.com"))
+		if (g_str_has_suffix(url.host, "twitter.com")) {
 			/* May fire for people who turned on HTTPS. */
 			imcb_error(ic, "Warning: Twitter requires a version number in API calls "
-			               "now. Try resetting the base_url account setting.");
-	}
-	
+			           "now. Try resetting the base_url account setting.");
+		}
+	}
+
 	/* Hacky string mangling: Turn identi.ca into identi.ca and api.twitter.com
 	   into twitter, and try to be sensible if we get anything else. */
 	td->prefix = g_strdup(url.host);
-	if (g_str_has_suffix(td->prefix, ".com"))
+	if (g_str_has_suffix(td->prefix, ".com")) {
 		td->prefix[strlen(url.host) - 4] = '\0';
+	}
 	if ((s = strrchr(td->prefix, '.')) && strlen(s) > 4) {
 		/* If we have at least 3 chars after the last dot, cut off the rest.
@@ -606,7 +633,8 @@
 		td->prefix = s;
 	}
-	
-	if (strstr(acc->pass, "oauth_token="))
+
+	if (strstr(acc->pass, "oauth_token=")) {
 		td->oauth_info = oauth_from_string(acc->pass, get_oauth_service(ic));
+	}
 
 	sprintf(name, "%s_%s", td->prefix, acc->user);
@@ -616,12 +644,13 @@
 	td->log = g_new0(struct twitter_log_data, TWITTER_LOG_LENGTH);
 	td->log_id = -1;
-	
+
 	s = set_getstr(&ic->acc->set, "mode");
-	if (g_strcasecmp(s, "one") == 0)
+	if (g_strcasecmp(s, "one") == 0) {
 		td->flags |= TWITTER_MODE_ONE;
-	else if (g_strcasecmp(s, "many") == 0)
+	} else if (g_strcasecmp(s, "many") == 0) {
 		td->flags |= TWITTER_MODE_MANY;
-	else
+	} else {
 		td->flags |= TWITTER_MODE_CHAT;
+	}
 
 	twitter_login_finish(ic);
@@ -641,10 +670,12 @@
 	b_event_remove(td->main_loop_id);
 
-	if (td->timeline_gc)
+	if (td->timeline_gc) {
 		imcb_chat_free(td->timeline_gc);
+	}
 
 	if (td) {
-		if (td->filter_update_id > 0)
+		if (td->filter_update_id > 0) {
 			b_event_remove(td->filter_update_id);
+		}
 
 		http_close(td->stream);
@@ -679,6 +710,7 @@
 
 			strcpy(pin, message);
-			for (s = pin + sizeof(pin) - 2; s > pin && g_ascii_isspace(*s); s--)
+			for (s = pin + sizeof(pin) - 2; s > pin && g_ascii_isspace(*s); s--) {
 				*s = '\0';
+			}
 			for (s = pin; *s && g_ascii_isspace(*s); s++) {
 			}
@@ -686,10 +718,11 @@
 			if (!oauth_access_token(s, td->oauth_info)) {
 				imcb_error(ic, "OAuth error: %s",
-					   "Failed to send access token request");
+				           "Failed to send access token request");
 				imc_logout(ic, TRUE);
 				return FALSE;
 			}
-		} else
+		} else {
 			twitter_handle_command(ic, message);
+		}
 	} else {
 		twitter_direct_messages_new(ic, who, message);
@@ -714,6 +747,7 @@
 static void twitter_chat_msg(struct groupchat *c, char *message, int flags)
 {
-	if (c && message)
+	if (c && message) {
 		twitter_handle_command(c->ic, message);
+	}
 }
 
@@ -737,15 +771,18 @@
 		tf = l->data;
 
-		if (topic->len > 0)
+		if (topic->len > 0) {
 			g_string_append(topic, ", ");
-
-		if (tf->type == TWITTER_FILTER_TYPE_FOLLOW)
+		}
+
+		if (tf->type == TWITTER_FILTER_TYPE_FOLLOW) {
 			g_string_append_c(topic, '@');
+		}
 
 		g_string_append(topic, tf->text);
 	}
 
-	if (topic->len > 0)
+	if (topic->len > 0) {
 		g_string_prepend(topic, "Twitter Filter: ");
+	}
 
 	imcb_chat_topic(c, NULL, topic->str, 0);
@@ -820,21 +857,26 @@
  *  Returns 0 if the user provides garbage.
  */
-static guint64 twitter_message_id_from_command_arg(struct im_connection *ic, char *arg, bee_user_t **bu_) {
+static guint64 twitter_message_id_from_command_arg(struct im_connection *ic, char *arg, bee_user_t **bu_)
+{
 	struct twitter_data *td = ic->proto_data;
 	struct twitter_user_data *tud;
 	bee_user_t *bu = NULL;
 	guint64 id = 0;
-	
-	if (bu_)
+
+	if (bu_) {
 		*bu_ = NULL;
-	if (!arg || !arg[0])
+	}
+	if (!arg || !arg[0]) {
 		return 0;
-	
+	}
+
 	if (arg[0] != '#' && (bu = bee_user_by_handle(ic->bee, ic, arg))) {
-		if ((tud = bu->data))
+		if ((tud = bu->data)) {
 			id = tud->last_id;
+		}
 	} else {
-		if (arg[0] == '#')
+		if (arg[0] == '#') {
 			arg++;
+		}
 		if (sscanf(arg, "%" G_GINT64_MODIFIER "x", &id) == 1 &&
 		    id < TWITTER_LOG_LENGTH) {
@@ -842,16 +884,19 @@
 			id = td->log[id].id;
 			/* Beware of dangling pointers! */
-			if (!g_slist_find(ic->bee->users, bu))
+			if (!g_slist_find(ic->bee->users, bu)) {
 				bu = NULL;
+			}
 		} else if (sscanf(arg, "%" G_GINT64_MODIFIER "d", &id) == 1) {
 			/* Allow normal tweet IDs as well; not a very useful
 			   feature but it's always been there. Just ignore
 			   very low IDs to avoid accidents. */
-			if (id < 1000000)
+			if (id < 1000000) {
 				id = 0;
-		}
-	}
-	if (bu_)
+			}
+		}
+	}
+	if (bu_) {
 		*bu_ = bu;
+	}
 	return id;
 }
@@ -863,5 +908,5 @@
 	guint64 in_reply_to = 0, id;
 	gboolean allow_post =
-		g_strcasecmp(set_getstr(&ic->acc->set, "commands"), "strict") != 0;
+	        g_strcasecmp(set_getstr(&ic->acc->set, "commands"), "strict") != 0;
 	bee_user_t *bu = NULL;
 
@@ -874,15 +919,16 @@
 		/* Not supporting commands if "commands" is set to true/strict. */
 	} else if (g_strcasecmp(cmd[0], "undo") == 0) {
-		if (cmd[1] == NULL)
+		if (cmd[1] == NULL) {
 			twitter_status_destroy(ic, td->last_status_id);
-		else if ((id = twitter_message_id_from_command_arg(ic, cmd[1], NULL)))
+		} else if ((id = twitter_message_id_from_command_arg(ic, cmd[1], NULL))) {
 			twitter_status_destroy(ic, id);
-		else
+		} else {
 			twitter_log(ic, "Could not undo last action");
+		}
 
 		goto eof;
 	} else if ((g_strcasecmp(cmd[0], "favourite") == 0 ||
-		    g_strcasecmp(cmd[0], "favorite") == 0 ||
-		    g_strcasecmp(cmd[0], "fav") == 0) && cmd[1]) {
+	            g_strcasecmp(cmd[0], "favorite") == 0 ||
+	            g_strcasecmp(cmd[0], "fav") == 0) && cmd[1]) {
 		if ((id = twitter_message_id_from_command_arg(ic, cmd[1], NULL))) {
 			twitter_favourite_tweet(ic, id);
@@ -900,13 +946,14 @@
 	            g_strcasecmp(cmd[0], "spam") == 0) && cmd[1]) {
 		char *screen_name;
-		
+
 		/* Report nominally works on users but look up the user who
 		   posted the given ID if the user wants to do it that way */
 		twitter_message_id_from_command_arg(ic, cmd[1], &bu);
-		if (bu)
+		if (bu) {
 			screen_name = bu->handle;
-		else
+		} else {
 			screen_name = cmd[1];
-		
+		}
+
 		twitter_report_spam(ic, screen_name);
 		goto eof;
@@ -915,9 +962,10 @@
 
 		td->last_status_id = 0;
-		if (id)
+		if (id) {
 			twitter_status_retweet(ic, id);
-		else
+		} else {
 			twitter_log(ic, "User `%s' does not exist or didn't "
-				    "post any statuses recently", cmd[1]);
+			            "post any statuses recently", cmd[1]);
+		}
 
 		goto eof;
@@ -926,5 +974,5 @@
 		if (!id || !bu) {
 			twitter_log(ic, "User `%s' does not exist or didn't "
-				    "post any statuses recently", cmd[1]);
+			            "post any statuses recently", cmd[1]);
 			goto eof;
 		}
@@ -949,6 +997,7 @@
 		char *s;
 
-		if (!twitter_length_check(ic, message))
+		if (!twitter_length_check(ic, message)) {
 			goto eof;
+		}
 
 		s = cmd[0] + strlen(cmd[0]) - 1;
@@ -960,10 +1009,11 @@
 
 				new = g_strdup_printf("@%s %s", bu->handle,
-						      message + (s - cmd[0]) + 2);
+				                      message + (s - cmd[0]) + 2);
 				message = new;
 
 				if (time(NULL) < tud->last_time +
-				    set_getint(&ic->acc->set, "auto_reply_timeout"))
+				    set_getint(&ic->acc->set, "auto_reply_timeout")) {
 					in_reply_to = tud->last_id;
+				}
 			}
 		}
@@ -981,19 +1031,20 @@
 }
 
-void twitter_log(struct im_connection *ic, char *format, ... )
+void twitter_log(struct im_connection *ic, char *format, ...)
 {
 	struct twitter_data *td = ic->proto_data;
 	va_list params;
 	char *text;
-	
+
 	va_start(params, format);
 	text = g_strdup_vprintf(format, params);
 	va_end(params);
-	
-	if (td->timeline_gc)
+
+	if (td->timeline_gc) {
 		imcb_chat_log(td->timeline_gc, "%s", text);
-	else
+	} else {
 		imcb_log(ic, "%s", text);
-	
+	}
+
 	g_free(text);
 }
